# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name executable-path

%global common_summary Haskell library to find full path of an executable

%global common_description The documentation of "System.Environment.getProgName" says that\
\"However, this is hard-to-impossible to implement on some non-Unix OSes, \
so instead, for maximum portability, we just return the leaf name \
of the program as invoked.\". This library tries to provide the missing path.

Name:           ghc-%{pkg_name}
Version:        0.0.3
Release:        3%{?dist}
Summary:        %{common_summary}

License:        Public Domain
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-unix-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 0.0.3-2
- update with cabal-rpm

* Sat Sep  8 2012 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.0.3-1
- spec file template generated by cabal2spec-0.25.5

* Tue May 10 2011 Lakshmi Narasimhan T V <lakshminaras2002@gmail.com> - 0.0.2-1
- License is PublicDomain

* Tue May 10 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.0.2-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.7
